FruxonDocs
UsersCore

Update a user.

Updates the specified user's properties. Only admins can perform this operation.

PATCH
/v1/tenants/{tenant}/users/{user}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

user*string

The unique identifier of the user.

tenant*string

The tenant identifier

The fields to update.

role?string

The new role to assign to the user.

Value in"UNSPECIFIED" | "ADMIN" | "MEMBER" | "OWNER" | "DEVELOPER" | "OPERATOR" | "VIEWER"
[key: string]?never

Response Body

curl -X PATCH "https://api.fruxon.com/v1/tenants/string/users/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "username": "string",
  "email": "string",
  "firstName": "string",
  "lastName": "string",
  "avatarFileId": "string",
  "status": "INVITED",
  "role": "ADMIN",
  "effectiveScopes": [
    "string"
  ],
  "canCreateWorkspace": false,
  "canChooseCell": false,
  "solutionPartners": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "displayName": "string",
      "role": "ADMIN",
      "status": "APPLIED",
      "canProvision": false
    }
  ],
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}